package com.guwan.backend.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("user")
public class User {
    @TableId(type = IdType.AUTO)
    private Long id;
    
    private String username;
    
    private String password;
    
    private String nickname;
    
    private String avatar;
    
    private String email;
    
    private String phone;
    
    private Integer gender;
    
    private String bio;
    
    @TableField("created_time")
    private LocalDateTime createdTime;
    
    @TableField("last_login_time")
    private LocalDateTime lastLoginTime;
    
    private Integer status;
} 